Gmagick::getimagesignature
Gmagick::getimageunits
Gmagick
PHP Manual

# Gmagick::getimagetype

(PECL gmagick >= Unknown)

Gmagick::getimagetype — Gets the potential image type.

### Description

public int Gmagick::getimagetype ( void )

Gets the potential image type.

### Parameters

This function has no parameters.

### Return Values

Returns the potential image type.

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::getimagesignature
Gmagick::getimageunits
Gmagick
PHP Manual